Package com.smartgwt.logicalstructure.widgets

# Class SplitbarLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.StatefulCanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.StretchImgLogicalStructure
com.smartgwt.logicalstructure.widgets.SplitbarLogicalStructure

Direct Known Subclasses:
  `SnapbarLogicalStructure`

public class SplitbarLogicalStructure extends StretchImgLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `canCollapse`
  `String`
  `canCollapseOnTap`
  `String`
  `canDrag`
  `String`
  `cursor`
  `String`
  `gripBreadth`
  `String`
  `gripImgSuffix`
  `String`
  `gripLength`
  `String`
  `hResizeCursor`
  `String`
  `hSrc`
  `String`
  `invertClosedGripIfTargetAfter`
  `String`
  `showClosedGrip`
  `String`
  `showDownGrip`
  `String`
  `showGrip`
  `String`
  `showRollOverGrip`
  `String`
  `src`
  `Canvas`
  `target`
  `String`
  `targetAfter`
  `String`
  `vertical`
  `String`
  `vResizeCursor`
  `String`
  `vSrc`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.StretchImgLogicalStructure

  `capSize, ignoreRTL, imageType, itemBaseStyle, items, showTitle`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.StatefulCanvasLogicalStructure

  `actionType, align, ariaLabel, autoFit, baseStyle, editProxyConstructor, heightAsString, icon, iconHeight, iconOrientation, iconSize, iconStyle, iconWidth, labelHPad, labelVPad, overCanvasConstructor, radioGroup, redrawOnStateChange, selected, showDisabled, showDisabledIcon, showDown, showDownIcon, showFocused, showFocusedAsOver, showFocusedIcon, showMenuOnClick, showOverCanvas, showRollOver, showRollOverIcon, showRTLIcon, showSelectedIcon, state, styleName, title, valign, vIconStyle, widthAsString`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadius, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, overflow, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SplitbarLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### canCollapse

    public String canCollapse

  - ### canCollapseOnTap

    public String canCollapseOnTap

  - ### canDrag

    public String canDrag

  - ### cursor

    public String cursor

  - ### gripBreadth

    public String gripBreadth

  - ### gripImgSuffix

    public String gripImgSuffix

  - ### gripLength

    public String gripLength

  - ### hResizeCursor

    public String hResizeCursor

  - ### hSrc

    public String hSrc

  - ### invertClosedGripIfTargetAfter

    public String invertClosedGripIfTargetAfter

  - ### showClosedGrip

    public String showClosedGrip

  - ### showDownGrip

    public String showDownGrip

  - ### showGrip

    public String showGrip

  - ### showRollOverGrip

    public String showRollOverGrip

  - ### src

    public String src

  - ### target

    public Canvas target

  - ### targetAfter

    public String targetAfter

  - ### vertical

    public String vertical

  - ### vResizeCursor

    public String vResizeCursor

  - ### vSrc

    public String vSrc

- ## Constructor Details

  - ### SplitbarLogicalStructure

    public SplitbarLogicalStructure()